> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegisintent.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Yield Vaults

> Returns a list of all yield-bearing vaults currently supported by Aegis on the Arc Testnet, including their native CA (Contract Address) and descriptive metadata.

Retrieve a list of available yield vaults and their onchain details.


## OpenAPI

````yaml GET /v1/actions/yield/vaults
openapi: 3.1.0
info:
  title: Aegis Secure API
  description: >-
    Zero-trust API for Developer-Controlled Wallets (DCW) and programmatic
    Policy Engine controls.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.aegisintent.xyz
    description: Production API Server
security: []
paths:
  /v1/actions/yield/vaults:
    get:
      tags:
        - Actions API
        - Yield
      summary: List Available Yield Vaults
      description: >-
        Returns a list of all yield-bearing vaults currently supported by Aegis
        on the Arc Testnet, including their native CA (Contract Address) and
        descriptive metadata.
      parameters:
        - name: X-Aegis-Email
          in: header
          required: true
          schema:
            type: string
          description: Agent email address
      responses:
        '200':
          description: List of available vaults
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  vaults:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                        name:
                          type: string
                        symbol:
                          type: string
                        asset:
                          type: string
                        strategy:
                          type: string
      security:
        - BearerAuth: []
        - AegisEmail: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Provide raw API session token issued by `/v1/connect/complete`
    AegisEmail:
      type: apiKey
      in: header
      name: X-Aegis-Email
      description: Dual-header token holder identity confirmation

````